API Reference / V2 Events Get an event Returns one event with its name, type, state, visibility, platform, region, banner, and description. The `ETag` header carries the event revision for `If-Match` on writes. The event must be in the scope of an active installation: on the event, its organisation, a registered team, or a member of a registered team.
GET /api/v2/events/{eventId}
Parameters # Property Type Location Description eventIdstringRequired path-
Request # curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - â”” idstringRequired - â”” organisationIdstringRequired - â”” namestringRequired - â”” slugstringRequired - â”” typestringRequired - â”” visibilitystringRequired - â”” statestringRequired - â”” platformstringRequired - â”” regionstring | nullRequired - â”” currencystringRequired - â”” completedAtstring | nullRequired - â”” bannerUrlstring | nullRequired - â”” descriptionstring | nullRequired - â”” firstStageIdstring | nullRequired - â”” revisionintegerRequired -